Bug 1370889

Summary: libgweather "Failed to get METAR data: 404 Not Found"
Product: [Fedora] Fedora Reporter: Michal Jaegermann <michal.jnn>
Component: libgweatherAssignee: Matthias Clasen <mclasen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: ajb, fedora, gmarr, mclasen, robatino, toracat
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: All   
Whiteboard: AcceptedBlocker
Fixed In Version: libgweather-3.20.3-1.fc24 libgweather-3.20.3-1.fc25 libgweather-3.18.2-1.fc23 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-09 21:49:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1277289    
Attachments:
Description Flags
METAR retrieval patch for 3.18.x none

Description Michal Jaegermann 2016-08-28 01:03:32 UTC
Created attachment 1194967 [details]
METAR retrieval patch for 3.18.x

Description of problem:

Due to a shutdown of an old NOAA service at http://weather.noaa.gov/ libgweather is no longer able to retrieve weather data.  See https://bugzilla.gnome.org/show_bug.cgi?id=770321 for more details, a discussion and a patch.  That patch requires a minor adjustemt to be applicable for a library as used in F23.

Version-Release number of selected component (if applicable):
libgweather-3.18.1-1.fc23

Additional info:
A patched library on F23 x86_64 restores a normal operation

Comment 1 Christian Stadelmann 2016-08-28 15:53:36 UTC
Same on F24 and F25 pre-alpha compose (2016-08-27)

Comment 2 Christian Stadelmann 2016-08-29 07:04:24 UTC
Alternatively, just update to the latest version released today:
F23: 3.18.2
F24, F25, F26 (rawhide): 3.20.3

See upstream bug report https://bugzilla.gnome.org/show_bug.cgi?id=770321

Comment 3 Christian Stadelmann 2016-08-29 08:12:10 UTC
I'm proposing this bug as Final Blocker since it violates section "Default application functionality" of Fedora final release criteria:¹

> "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. […]

IMHO basic functionality of gnome-weather includes showing weather for at least one user-selected location, which is not working right now.

¹ https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Default_application_functionality

Comment 4 Fedora Update System 2016-08-29 09:48:59 UTC
libgweather-3.18.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1a0c6260d0

Comment 5 Fedora Update System 2016-08-29 09:49:08 UTC
libgweather-3.20.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e985ae9f6

Comment 6 Geoffrey Marr 2016-08-29 19:50:32 UTC
Discussed during the 2016-08-29 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as the bug causes gnome-weather to be unable to display any weather data, and as such is a violation of the following Final criteria:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test"

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-08-29/f25-blocker-review.2016-08-29-16.00.txt

Comment 7 Fedora Update System 2016-08-29 22:52:30 UTC
libgweather-3.18.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1a0c6260d0

Comment 8 Fedora Update System 2016-08-29 22:52:38 UTC
libgweather-3.20.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1e985ae9f6

Comment 9 Fedora Update System 2016-09-01 16:53:15 UTC
libgweather-3.20.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-09-08 14:53:20 UTC
PackageKit-1.1.4-0.3.20160901.fc25 adwaita-icon-theme-3.21.91-1.fc25 at-spi2-atk-2.21.91-1.fc25 atomix-3.21.91-1.fc25 clutter-gtk-1.8.0-2.fc25 cogl-1.22.2-1.fc25 devhelp-3.21.91-1.fc25 evolution-3.21.91-2.fc25 evolution-data-server-3.21.91-1.fc25 evolution-ews-3.21.91-1.fc25 evolution-mapi-3.21.91-1.fc25 five-or-more-3.21.91-1.fc25 fwupd-0.7.3-2.fc25 gdk-pixbuf2-2.35.4-1.fc25 gdm-3.21.91-2.fc25 geary-0.11.2-1.fc25 gitg-3.21.91-1.fc25 glib2-2.49.6-1.fc25 gnome-2048-3.21.91-1.fc25 gnome-autoar-0.1.1-1.fc25 gnome-backgrounds-3.21.91-1.fc25 gnome-calendar-3.21.91-1.fc25 gnome-clocks-3.21.2-1.fc25 gnome-color-manager-3.21.91-1.fc25 gnome-disk-utility-3.21.91-1.fc25 gnome-documents-3.21.90-2.fc25 gnome-initial-setup-3.21.91-2.fc25 gnome-klotski-3.21.91-1.fc25 gnome-maps-3.21.91-1.fc25 gnome-mines-3.21.91-1.fc25 gnome-multi-writer-3.21.91-1.fc25 gnome-nibbles-3.21.91-1.fc25 gnome-online-accounts-3.21.91-1.fc25 gnome-online-miners-3.21.91-1.fc25 gnome-packagekit-3.21.91-1.fc25 gnome-photos-3.21.91-1.fc25 gnome-power-manager-3.21.91-1.fc25 gnome-robots-3.21.91-1.fc25 gnome-settings-daemon-3.21.90-1.fc25 gnome-shell-3.21.91-1.fc25 gnome-shell-extension-background-logo-3.21.91-1.fc25 gnome-shell-extensions-3.21.91-1.fc25 gnome-software-3.21.91-1.fc25 gnome-system-monitor-3.21.91-1.fc25 gnome-taquin-3.21.91-1.fc25 gnome-tweak-tool-3.21.91-1.fc25 gnome-user-share-3.18.2-1.fc25 gtk3-3.21.5-1.fc25 gvfs-1.29.91-1.fc25 iagno-3.21.91-1.fc25 libappstream-glib-0.6.3-1.fc25 libgepub-0.4-1.fc25 libgnome-games-support-1.1.91-1.fc25 libgweather-3.20.3-1.fc25 lightsoff-3.21.91-1.fc25 mutter-3.21.91-2.fc25 nautilus-3.21.91.1-1.fc25 orca-3.21.91-1.fc25 pango-1.40.2-1.fc25 polari-3.21.91-1.fc25 pygobject3-3.21.91-1.fc25 rygel-0.31.5-1.fc25 simple-scan-3.21.90-1.fc25 sushi-3.21.91-1.fc25 swell-foop-3.21.91-1.fc25 sysprof-3.21.91-1.fc25 totem-3.21.91-1.fc25 webkitgtk4-2.13.90-1.fc25 xdg-desktop-portal-0.3-1.fc25 xdg-desktop-portal-gtk-0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 11 Fedora Update System 2016-09-09 06:30:12 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 12 Fedora Update System 2016-09-09 21:49:01 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-14 01:20:03 UTC
libgweather-3.18.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.